/************** Panels **************/

.description-panel{
    font-size: 25px;
    margin: 20px 10px 40px 10px;
}

.field-label{
	font-size: 25px;
	color: rgb(105 55 30);
    margin-top: 15px;
}

@media screen and (max-width: 1200px) {
	.description-panel {font-size: 18px;}
	.field-label{font-size: 18px;}
}

.panel-info{
    padding: 10px 0px 10px 0px;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

/************** Components **************/

.input-container {
    display: flex;
    align-items: center;
    position: relative;
    margin-top: 10px; /* Space for the label sitting above */
    gap: 5px;
}

.input-grouper{
    display: flex;
    gap: 8px;
}
.input-grouper > * {
  flex: 1;
}
@media screen and (max-width: 1000px) {
	.input-grouper{display: unset;}
}
.button-grouper-multiple{
    justify-content: space-between !important;
}
.button-grouper-right{
    flex-direction: row-reverse !important;
}
.button-grouper{
    margin-top: 20px;
    display: flex;
    gap: 8px;
    width: -webkit-fill-available;
    justify-content: center;
    align-content: center;
    flex-wrap: wrap;
}
.button-grouper > * {
    flex: 1;
    white-space: nowrap;
    max-width: 300px;
    min-width: 150px;
}
.button-grouper.breaker{
}
@media screen and (max-width: 700px) {
	 .button-grouper.breaker > * {
        min-width: 300px !important;
	 }
	 .button-grouper-multiple{
         justify-content: center !important;
	 }
}
.button-secondary{
    background-color: #19264a;
    font-size: 14px;
}

.input-container-button {
    clip-path: unset;
    padding: 5px 20px !important;
}

.input-text{
	border-radius: 5px;
	font-size: 20px;
	border: 1px solid rgb(0, 0, 0, 0.75);
	background: rgb(255, 255, 255, 0.75);
    box-shadow: inset 0px 0px 0px 1px rgb(0 0 0 / 25%);
}

.input-select{
	border-radius: 5px;
	font-size: 20px;
	width: -webkit-fill-available;
	border: 1px solid rgb(0, 0, 0, 0.75);
	background: rgb(255, 255, 255, 0.75);
    box-shadow: inset 0px 0px 0px 1px rgb(0 0 0 / 25%);
}

.input-dropdown{

}

.input-dropdown-panel{
    position: absolute;
    z-index: 10;
    background: white;
    width: -webkit-fill-available;
    margin-top: -3px;
	border: 1px solid rgb(0, 0, 0, 0.75);
	background: rgb(255, 245, 235, 1.0);
    box-shadow: 0px 8px 8px -4px rgba(0, 0, 0, 0.25);
    cursor: pointer;
    overflow: auto;
    max-height: 250px;
    border-radius: 4px;
    padding: 0px;
}

.input-dropdown-panel li:hover{
    background: rgb(255, 200, 200, 1.0);
}

.input-green{
    background: rgb(200, 255, 200) !important;
}

@media screen and (max-width: 1200px) {
	.input-text {font-size: 15px;}
	.input-select{font-size: 15px;}
}

.inner-header{
    position: unset !important;
}

.inner-header-option{
    font-size: 15px;
    1background: black;
    padding: 10px 10px;
    color: rgb(255, 200, 0);
    cursor: pointer;
}

/************** Tables **************/

.admin-list-page{
    display: grid;
    grid-template-columns: minmax(0, 0.35fr) minmax(0, 0.65fr);
    gap: 25px;
    flex-direction: row;
}
@media screen and (max-width: 1200px) {
	.admin-list-page {
	    display: flex;
	    flex-direction: column;
	}
}

.admin-events-list{
    border: 2px solid black;
    width: -webkit-fill-available;
    display: flex;
    flex-direction: column;
    overflow: auto;
    background-color: rgb(0, 0, 0, 0.25);
    border-radius: 2px;
    background-size: cover;
    background-position: 50% 50%;
    background-image: url(/imgs/ui/elements/card_texture_overlay.png);
    box-shadow: rgba(0, 0, 0, 0.52) 0px 1px 10px 0px, rgba(27, 31, 35, 0.45) 0px 4px 5px 0px;
}
@media screen and (max-width: 1200px) {
	.admin-events-list {max-height: 200px;}
}

.admin-event-row{
    background-color: white;
    border-bottom: 1px solid rgb(150, 0, 0, 0.75);
    display: grid;
    /* Creates 3 columns of equal width (1 fraction unit each) */
    grid-template-columns: 50px minmax(0, 1fr) minmax(0, 130px);
    cursor: pointer;
    user-select: none;
}
@media screen and (max-width: 800px) {
	.admin-event-row {
	    grid-template-columns: minmax(0, 1fr);
	}
}

.admin-event-row-col{
    padding: 5px;
    border-right: 1px solid rgb(150, 0, 0, 0.15);
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    text-align: left;
    width: -webkit-fill-available;
}
@media screen and (max-width: 800px) {
	.admin-event-row-col {
	    font-size: 12px;
	}
}

.admin-event-row-col-hidden{

}
@media screen and (max-width: 800px) {
	.admin-event-row-col-hidden {
	    display: none;
	}
}

